summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2018-11-01 12:14:46 -0700
committerMatt Turner <mattst88@gentoo.org>2018-11-01 14:06:07 -0700
commit9f0fd42565ac0d36114f297d107eda68d5072e7f (patch)
tree6c49cb7c71d32a252109066edd811cbe2693abc5 /x11-base
parentx11-base/xorg-server: Drop old versions (diff)
downloadgentoo-9f0fd42565ac0d36114f297d107eda68d5072e7f.tar.gz
gentoo-9f0fd42565ac0d36114f297d107eda68d5072e7f.tar.bz2
gentoo-9f0fd42565ac0d36114f297d107eda68d5072e7f.zip
x11-base/xorg-server: Don't install empty directory
Closes: https://bugs.gentoo.org/647302 Signed-off-by: Matt Turner <mattst88@gentoo.org>
Diffstat (limited to 'x11-base')
-rw-r--r--x11-base/xorg-server/xorg-server-1.20.3.ebuild2
-rw-r--r--x11-base/xorg-server/xorg-server-9999.ebuild2
2 files changed, 4 insertions, 0 deletions
diff --git a/x11-base/xorg-server/xorg-server-1.20.3.ebuild b/x11-base/xorg-server/xorg-server-1.20.3.ebuild
index df7aded6d35..bd82494b526 100644
--- a/x11-base/xorg-server/xorg-server-1.20.3.ebuild
+++ b/x11-base/xorg-server/xorg-server-1.20.3.ebuild
@@ -198,6 +198,8 @@ src_install() {
# install the @x11-module-rebuild set for Portage
insinto /usr/share/portage/config/sets
newins "${FILESDIR}"/xorg-sets.conf xorg.conf
+
+ [ -d "${ED}"/var/log ] && rmdir "${ED}"/var/log || die
}
pkg_postinst() {
diff --git a/x11-base/xorg-server/xorg-server-9999.ebuild b/x11-base/xorg-server/xorg-server-9999.ebuild
index b5e027d78c1..0baf77843d4 100644
--- a/x11-base/xorg-server/xorg-server-9999.ebuild
+++ b/x11-base/xorg-server/xorg-server-9999.ebuild
@@ -198,6 +198,8 @@ src_install() {
# install the @x11-module-rebuild set for Portage
insinto /usr/share/portage/config/sets
newins "${FILESDIR}"/xorg-sets.conf xorg.conf
+
+ [ -d "${ED}"/var/log ] && rmdir "${ED}"/var/log || die
}
pkg_postinst() {